Bug 111443 - [bisected][regression] dEQP/piglit texture compression test failures
Summary: [bisected][regression] dEQP/piglit texture compression test failures
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Pierre-Eric Pelloux-Prayer
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2019-08-20 18:02 UTC by Clayton Craft
Modified: 2019-08-22 15:23 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clayton Craft 2019-08-20 18:02:52 UTC
The following deqp/piglit tests are failing due to this (bisected) commit on all Intel platforms (with i965 and Iris):


commit 7df233d68dc11df3e501e001bec550da10aef92a
Author: Pierre-Eric Pelloux-Prayer <pierre-eric.pelloux-prayer@amd.com>
Date:   Wed Aug 7 14:42:59 2019 +0200

    mesa: refactor compressed_tex_sub_image function



dEQP:

dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage3d_invalid_size
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage2d_neg_offset
dEQP-GLES31.functional.debug.negative_coverage.callbacks.texture.compressedtexsubimage3d_max_level
dEQP-GLES31.functional.debug.negative_coverage.log.texture.compressedtexsubimage3d_max_level
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage3d_neg_width_height_depth
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage3d_invalid_offset
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage2d
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage2d_neg_level
dEQP-GLES31.functional.debug.error_groups.case_5
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage2d
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage3d_neg_width_height_depth
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage2d_neg_level
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage3d_invalid_offset
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage2d_max_level
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage3d_neg_offset
dEQP-GLES31.functional.debug.error_filters.case_5
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage2d_max_level
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage3d_neg_offset
dEQP-GLES31.functional.debug.negative_coverage.callbacks.texture.compressedtexsubimage2d_neg_level
dEQP-GLES31.functional.debug.negative_coverage.log.texture.compressedtexsubimage2d_neg_level
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage3d_neg_level
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage3d
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage2d_invalid_size
dEQP-GLES31.functional.debug.error_groups.case_8
dEQP-GLES31.functional.debug.async.case_11_callback
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage2d_invalid_size
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage3d
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage3d_neg_level
dEQP-GLES31.functional.debug.negative_coverage.callbacks.texture.compressedtexsubimage2d_max_level
dEQP-GLES31.functional.debug.negative_coverage.log.texture.compressedtexsubimage2d_max_level
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage2d_invalid_offset
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage2d_neg_width_height
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage3d_max_level
dEQP-GLES31.functional.debug.error_filters.case_8
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage3d_max_level
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage2d_neg_width_height
dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage2d_invalid_offset
dEQP-GLES31.functional.debug.negative_coverage.callbacks.texture.compressedtexsubimage3d_neg_level
dEQP-GLES31.functional.debug.negative_coverage.log.texture.compressedtexsubimage3d_neg_level
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage2d_neg_offset
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage3d_invalid_size
dEQP-GLES31.functional.debug.error_filters.case_21


Piglit:

piglit.spec.ext_texture_compression_s3tc.s3tc-errors
piglit.spec.oes_compressed_etc1_rgb8_texture.basic


Test output can be seen by clicking on the failed tests here: https://mesa-ci.01.org/mesa_master/builds/17605/group/63a9f0ea7bb98050796b649e85481845#fails
Comment 1 Chema Casanova 2019-08-21 13:30:34 UTC
Next commit fixes most of the regressions.

commit 6c904773fe31731929ad46ea19a58deedfc1c1c7
Author: Jose Maria Casanova Crespo <jmcasanova@igalia.com>
Date:   Tue Aug 20 18:34:09 2019 +0200

    mesa: reverse no_error on compressed_tex_sub_image for TEX_MODE_CURRENT
    
    This fixes the regression introduced on "mesa: refactor
    compressed_tex_sub_image function" that started to crash
    KHR-GLES2.texture_3d.compressed_texture.negative_compressed_tex_sub_image
    
    Fixes: 7df233d68dc ("mesa: refactor compressed_tex_sub_image function")
    Reviewed-by: Eric Anholt <eric@anholt.net>

There is also a MR https://gitlab.freedesktop.org/mesa/mesa/merge_requests/1731
that tries to fix the pending:

dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage3d
dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage3d
Comment 2 Chema Casanova 2019-08-22 15:23:45 UTC
Regressions should be fixed now with: 

commit 74a7e3ed3b297f441b406ff62ef9ba504ba3b06c
Author: Jose Maria Casanova Crespo <jmcasanova@igalia.com>
Date:   Wed Aug 21 13:16:16 2019 +0100

    mesa: recover target_check before get_current_tex_objects
    
    At compressed_tex_sub_image we only can obtain the tex_object after
    compressed_subtexture_target_check is validated for TEX_MODE_CURRENT.
    So if the target is wrong the error is raised to the user.
    
    This completes the fix for the regression introduced on "mesa: refactor
    compressed_tex_sub_image function" of the pending failing tests:
    
    dEQP-GLES3.functional.negative_api.texture.compressedtexsubimage3d
    dEQP-GLES31.functional.debug.negative_coverage.get_error.texture.compressedtexsubimage3d
    
    v2: Fix warning that texObj might be used uninitialized (Gert Wollny)
    
    Fixes: 7df233d68dc ("mesa: refactor compressed_tex_sub_image function")
    Reviewed-By: Gert Wollny <gert.wollny@collabora.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.